View Issue Details

IDProjectCategoryView StatusLast Update
0000032After The Collapse[All Projects] Performancespublic2018-09-14 21:58
ReporterEsKaAssigned ToEsKa 
PrioritylowSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformPC OSWindows 10OS VersionLatest (EsKa)
Product Version 
Target Version0.4 - Early AccessFixed in Version0.4 - Early Access 
Summary0000032: Area Coverage is consuming too much CPU
Description12% cpu usage atm just for power management won't do, especially as class from AGLib.

- Costs can be reduced with some optimization
- Should be called less often
- Can probably be threaded with little effort.
TagsNo tags attached.

Relationships

child of 0000031 closedEsKa Area Coverage / Power not working properly 

Activities

EsKa

2018-08-31 21:01

administrator   ~0000016

Made CPU cost barely noticeable even with profiler by improving the Update code and only calling it when relevant.

Issue History

Date Modified Username Field Change
2018-08-29 10:40 EsKa New Issue
2018-08-31 12:55 EsKa Relationship added child of 0000031
2018-08-31 12:56 EsKa Assigned To => EsKa
2018-08-31 12:56 EsKa Status new => confirmed
2018-08-31 21:01 EsKa Status confirmed => resolved
2018-08-31 21:01 EsKa Resolution open => fixed
2018-08-31 21:01 EsKa Fixed in Version => 0.4 - Early Access
2018-08-31 21:01 EsKa Note Added: 0000016
2018-09-05 20:41 EsKa Status resolved => closed
2018-09-14 21:58 EsKa Target Version => 0.4 - Early Access